Package htsjdk.samtools

# Enum Class SAMReadGroupRecord.PlatformValue

java.lang.Object
java.lang.Enum<SAMReadGroupRecord.PlatformValue>
htsjdk.samtools.SAMReadGroupRecord.PlatformValue

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMReadGroupRecord.PlatformValue>`, `Constable`

Enclosing class:
  `SAMReadGroupRecord`

public static enum SAMReadGroupRecord.PlatformValue extends Enum<SAMReadGroupRecord.PlatformValue>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BGI`
Deprecated.
Use DNBSEQ instead.
`CAPILLARY`
Capillary
`DNBSEQ`
MGI/BGI
`ELEMENT`
Element Biosciences
`HELICOS`
Helicos Biosciences
`ILLUMINA`
Illumina
`IONTORRENT`
Iontorrent
`LS454`
454 Life Sciences
`ONT`
Oxford Nanopore
`OTHER`
Deprecated.
OTHER is not an official value.
`PACBIO`
Pacific Biotechnology
`SINGULAR`
Singular Genomics
`SOLID`
Life Technologies
`ULTIMA`
Ultima Genomics

## Method Summary

Modifier and Type
Method
Description
`static SAMReadGroupRecord.PlatformValue`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMReadGroupRecord.PlatformValue[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BGI

@Deprecated public static final SAMReadGroupRecord.PlatformValue BGI
Deprecated.
Use DNBSEQ instead.

### CAPILLARY

public static final SAMReadGroupRecord.PlatformValue CAPILLARY
Capillary

### DNBSEQ

public static final SAMReadGroupRecord.PlatformValue DNBSEQ
MGI/BGI

### ELEMENT

public static final SAMReadGroupRecord.PlatformValue ELEMENT
Element Biosciences

### HELICOS

public static final SAMReadGroupRecord.PlatformValue HELICOS
Helicos Biosciences

### ILLUMINA

public static final SAMReadGroupRecord.PlatformValue ILLUMINA
Illumina

### IONTORRENT

public static final SAMReadGroupRecord.PlatformValue IONTORRENT
Iontorrent

### LS454

public static final SAMReadGroupRecord.PlatformValue LS454
454 Life Sciences

### ONT

public static final SAMReadGroupRecord.PlatformValue ONT
Oxford Nanopore

### OTHER

@Deprecated public static final SAMReadGroupRecord.PlatformValue OTHER
Deprecated.
OTHER is not an official value. It is recommended to omit PL if it is not in this list or is unknown.

### PACBIO

public static final SAMReadGroupRecord.PlatformValue PACBIO
Pacific Biotechnology

### SINGULAR

public static final SAMReadGroupRecord.PlatformValue SINGULAR
Singular Genomics

### SOLID

public static final SAMReadGroupRecord.PlatformValue SOLID
Life Technologies

### ULTIMA

public static final SAMReadGroupRecord.PlatformValue ULTIMA
Ultima Genomics

## Method Details

### values

public static SAMReadGroupRecord.PlatformValue[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMReadGroupRecord.PlatformValue valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null